PETSc version 3.15.5
Fix/Edit manual page

# DMDASetFieldName

Sets the names of individual field components in multicomponent vectors associated with a DMDA.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetFieldName(DM da,PetscInt nf,const char name[])

Logically collective; name must contain a common value

### Input Parameters

| da | - the distributed array
| nf | - field number for the DMDA (0, 1, ... dof-1), where dof indicates the number of degrees of freedom per node within the DMDA
| names | - the name of the field (component)

### Notes

It must be called after having called DMSetUp().

### See Also

DMDAGetFieldName(), DMDASetCoordinateName(), DMDAGetCoordinateName(), DMDASetFieldNames(), DMSetUp()

### Level

intermediate

### Location

src/dm/impls/da/dacorn.c

### Examples

src/dm/tutorials/ex7.c.html
src/ksp/ksp/tutorials/ex29.c.html
src/ksp/ksp/tutorials/ex42.c.html
src/ksp/ksp/tutorials/ex43.c.html
src/ksp/ksp/tutorials/ex49.c.html
src/ksp/ksp/tutorials/ex70.c.html
src/ksp/ksp/tutorials/ex73.c.html
src/snes/tutorials/ex19.c.html
src/snes/tutorials/ex21.c.html
src/snes/tutorials/ex22.c.html
src/snes/tutorials/ex28.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages